メインコンテンツへスキップ
GET
/
marketing
/
v3
/
marketing-events
/
participations
/
{marketingEventId}
/
breakdown
参加内訳を、マーケティングイベントの内部IDで読み取る
curl --request GET \
  --url https://api.hubapi.com/marketing/v3/marketing-events/participations/{marketingEventId}/breakdown \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/marketing/v3/marketing-events/participations/{marketingEventId}/breakdown"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/marketing/v3/marketing-events/participations/{marketingEventId}/breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "associations": {
        "contact": {
          "contactId": "<string>",
          "email": "<string>",
          "firstname": "<string>",
          "lastname": "<string>"
        },
        "marketingEvent": {
          "marketingEventId": "<string>",
          "name": "<string>",
          "externalAccountId": "<string>",
          "externalEventId": "<string>"
        }
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "properties": {
        "occurredAt": 123,
        "attendanceDurationSeconds": 123,
        "attendancePercentage": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

marketingEventId
integer<int64>
必須

HubSpotのマーケティングイベントの内部ID。

クエリパラメータ

after
string

最後に取得した項目の位置を示すカーソル。

contactIdentifier
string

コンタクトの識別子。Eメールまたは内部IDです。

limit
integer<int32>
デフォルト:10

レスポンスサイズの上限。デフォルトは10で最大値は100です

state
string

参加状態値。REGISTERED、CANCELLED、ATTENDED、NO_SHOWのいずれかです

レスポンス

successful operation

results
object[]
必須
total
integer<int32>
必須
paging
object
最終更新日 2026年4月10日